test: tagQ struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagQ Struct Reference

`#include <userk.h>`

List of all members.

## Public Attributes

MLIST | mlInput
PTHREADINFO | ptiSysLock
ULONG_PTR | idSysLock
ULONG_PTR | idSysPeek
PTHREADINFO | ptiMouse
PTHREADINFO | ptiKeyboard
PWND | spwndCapture
PWND | spwndFocus
PWND | spwndActive
PWND | spwndActivePrev
UINT | codeCapture
UINT | msgDblClk
WORD | xbtnDblClk
DWORD | timeDblClk
HWND | hwndDblClk
POINT | ptDblClk
BYTE | afKeyRecentDown [CBKEYSTATERECENTDOWN]
BYTE | afKeyState [CBKEYSTATE]
CARET | caret
PCURSOR | spcurCurrent
int | iCursorLevel
DWORD | QF_flags
USHORT | cThreads
USHORT | cLockCount
UINT | msgJournal
LONG_PTR | ExtraInfo

## Member Data Documentation

BYTE tagQ::afKeyRecentDown[CBKEYSTATERECENTDOWN]

| Definition at line 3121 of file userk.h. Referenced by PostUpdateKeyStateEvent(), UpdateAsyncKeyState(), and xxxSwitchDesktop().

BYTE tagQ::afKeyState[CBKEYSTATE]

| Definition at line 3122 of file userk.h. Referenced by AllocQueue(), NtUserGetKeyState(), xxxInternalActivateKeyboardLayout(), and xxxTranslateMessage().

CARET tagQ::caret

| Definition at line 3124 of file userk.h. Referenced by _GetGUIThreadInfo(), _SetCaretBlinkTime(), CaretBlinkProc(), NtUserGetCaretPos(), UT_CaretSet(), UT_InvertCaret(), xxxCheckFocus(), xxxCreateCaret(), xxxScrollWindowEx(), zzzAttachToQueue(), zzzDestroyQueue(), zzzInternalDestroyCaret(), zzzInternalHideCaret(), zzzInternalShowCaret(), and zzzSetCaretPos().

USHORT tagQ::cLockCount

| Definition at line 3132 of file userk.h. Referenced by AllocQueue(), UserDeleteW32Thread(), xxxDesktopThread(), xxxDestroyThreadInfo(), xxxHardErrorControl(), zzzDestroyQueue(), and zzzReattachThreads().

UINT tagQ::codeCapture

| Definition at line 3114 of file userk.h. Referenced by MNItemHitTest(), xxxCapture(), xxxMouseActivate(), xxxScanSysQueue(), and zzzAttachToQueue().

USHORT tagQ::cThreads

| Definition at line 3131 of file userk.h. Referenced by UserDeleteW32Thread(), xxxCreateThreadInfo(), xxxDestroyThreadInfo(), xxxHardErrorControl(), xxxSetForegroundWindow2(), xxxSetThreadDesktop(), xxxSwitchDesktop(), zzzAddAttachment(), zzzAttachToQueue(), zzzDestroyQueue(), zzzJournalAttach(), zzzReattachThreads(), zzzRecalcThreadAttachment(), and zzzSetDesktop().

LONG_PTR tagQ::ExtraInfo

| Definition at line 3135 of file userk.h. Referenced by _SetMessageExtraInfo(), NtUserGetThreadState(), xxxReadPostMessage(), and xxxScanSysQueue().

HWND tagQ::hwndDblClk

| Definition at line 3118 of file userk.h. Referenced by xxxScanSysQueue().

int tagQ::iCursorLevel

| Definition at line 3127 of file userk.h. Referenced by AllocQueue(), DecCursorLevel(), IncCursorLevel(), SetGlobalCursorLevel(), SetPointer(), xxxDestroyThreadInfo(), xxxSetThreadDesktop(), zzzAttachToQueue(), zzzShowCursor(), and zzzUpdateCursorImage().

ULONG_PTR tagQ::idSysLock

| Definition at line 3103 of file userk.h. Referenced by _PostMessage(), _PostThreadMessage(), FindQMsg(), xxxInternalGetMessage(), and xxxScanSysQueue().

ULONG_PTR tagQ::idSysPeek

| Definition at line 3104 of file userk.h. Referenced by DestroyThreadsMessages(), PostInputMessage(), RedistributeInput(), RemoveEventMessage(), xxxGetNextSysMsg(), xxxScanSysQueue(), and xxxSkipSysMsg().

MLIST tagQ::mlInput

| Definition at line 3100 of file userk.h. Referenced by AllocQueue(), ClearWakeBit(), DestroyThreadsMessages(), PostEventMessage(), PostInputMessage(), PostUpdateKeyStateEvent(), RemoveEventMessage(), xxxGetNextSysMsg(), xxxKeyEvent(), xxxScanSysQueue(), xxxSetForegroundWindow2(), xxxSkipSysMsg(), zzzAttachToQueue(), zzzDestroyQueue(), and zzzReattachThreads().

UINT tagQ::msgDblClk

| Definition at line 3115 of file userk.h. Referenced by xxxScanSysQueue().

UINT tagQ::msgJournal

| Definition at line 3134 of file userk.h. Referenced by JournalTimer().

POINT tagQ::ptDblClk

| Definition at line 3119 of file userk.h. Referenced by xxxScanSysQueue().

PTHREADINFO tagQ::ptiKeyboard

| Definition at line 3107 of file userk.h. Referenced by NlsKbdSendIMEProc(), PostEventMessage(), PostUpdateKeyStateEvent(), SetWakeBit(), TransferWakeBit(), WakeSomeone(), xxxActivateDebugger(), xxxCreateThreadInfo(), xxxKeyEvent(), xxxNextWindow(), xxxSetForegroundWindow2(), zzzAttachToQueue(), zzzDestroyQueue(), and zzzReattachThreads().

PTHREADINFO tagQ::ptiMouse

| Definition at line 3106 of file userk.h. Referenced by PostEventMessage(), PostUpdateKeyStateEvent(), SetWakeBit(), TransferWakeBit(), WakeSomeone(), xxxButtonEvent(), xxxCreateThreadInfo(), xxxSetForegroundWindow2(), zzzAttachToQueue(), zzzDestroyQueue(), zzzReattachThreads(), and zzzSetFMouseMoved().

PTHREADINFO tagQ::ptiSysLock

| Definition at line 3102 of file userk.h. Referenced by _PostMessage(), _PostThreadMessage(), FindQMsg(), RedistributeInput(), xxxInternalGetMessage(), xxxScanSysQueue(), zzzAttachToQueue(), and zzzDestroyQueue().

DWORD tagQ::QF_flags

| Definition at line 3129 of file userk.h. Referenced by CancelInputState(), ClearWakeBit(), FreeQueue(), NtUserGetKeyState(), NtUserSetThreadState(), PostInputMessage(), PostMove(), PostUpdateKeyStateEvent(), UpdateAsyncKeyState(), Win32kNtUserCleanup(), xxxActivateThisWindow(), xxxActiveWindowTracking(), xxxCapture(), xxxDefWindowProc(), xxxDestroyThreadInfo(), xxxGetNextSysMsg(), xxxInternalGetMessage(), xxxKeyEvent(), xxxMNKeyDown(), xxxMNLoop(), xxxMNSetCapture(), xxxMouseActivate(), xxxReleaseCapture(), xxxScanSysQueue(), xxxSendFocusMessages(), xxxSetCapture(), xxxSetForegroundWindow2(), xxxSwitchDesktop(), xxxSystemTimerProc(), xxxTrackPopupMenuEx(), zzzAttachToQueue(), zzzDestroyQueue(), and zzzSetFMouseMoved().

PCURSOR tagQ::spcurCurrent

| Definition at line 3126 of file userk.h. Referenced by NtUserGetThreadState(), SetPointer(), xxxDragObject(), zzzAttachToQueue(), zzzSetCursor(), and zzzUpdateCursorImage().

PWND tagQ::spwndActive

| Definition at line 3111 of file userk.h. Referenced by _GetGUIThreadInfo(), _SelectPalette(), _UserSoundSentryWorker(), CalcForegroundInsertAfter(), CancelInputState(), CheckOnTop(), GetActiveHKL(), GetActiveTrackPwnd(), IdleTimerProc(), NtUserGetForegroundWindow(), NtUserGetThreadState(), NtUserQueryWindow(), NtUserSetImeOwnerWindow(), WakeSomeone(), xxxActivateThisWindow(), xxxCallJournalPlaybackHook(), xxxDeactivate(), xxxDefWindowProc(), xxxDestroyWindow(), xxxDWP_ProcessVirtKey(), xxxEndMenuLoop(), xxxFlashWindow(), xxxInternalActivateKeyboardLayout(), xxxMakeWindowForegroundWithState(), xxxMinMaximize(), xxxMNLoop(), xxxMouseActivate(), xxxNextWindow(), xxxOldNextWindow(), xxxProcessEventMessage(), xxxScanSysQueue(), xxxSendFocusMessages(), xxxSetActiveWindow(), xxxSetFocus(), xxxSetForegroundWindow2(), xxxSetThreadDesktop(), xxxShowWindow(), xxxSwitchDesktop(), xxxSwitchToThisWindow(), xxxSwpActivate(), ZapActiveAndFocus(), zzzAttachToQueue(), zzzDestroyQueue(), and zzzReattachThreads().

PWND tagQ::spwndActivePrev

| Definition at line 3112 of file userk.h. Referenced by xxxActivateOnMinimize(), xxxActivateThisWindow(), xxxActivateWindow(), xxxDeactivate(), xxxFreeWindow(), xxxMenuWindowProc(), xxxSetThreadDesktop(), xxxSwpActivate(), zzzAttachToQueue(), zzzDestroyQueue(), and zzzReattachThreads().

PWND tagQ::spwndCapture

| Definition at line 3109 of file userk.h. Referenced by _GetGUIThreadInfo(), CancelInputState(), NtUserGetThreadState(), PwndForegroundCapture(), WakeSomeone(), xxxButtonEvent(), xxxCapture(), xxxDeactivate(), xxxDefWindowProc(), xxxDragObject(), xxxDWP_DoCancelMode(), xxxFreeWindow(), xxxHelpLoop(), xxxIsDragging(), xxxMNLoop(), xxxMNSetCapture(), xxxMouseActivate(), xxxMoveSize(), xxxProcessEventMessage(), xxxResetDisplayDevice(), xxxSBTrackLoop(), xxxScanSysQueue(), xxxSetCapture(), xxxSetThreadDesktop(), xxxSysCommand(), zzzAttachToQueue(), zzzHideCursorNoCapture(), and zzzSetFMouseMoved().

PWND tagQ::spwndFocus

| Definition at line 3110 of file userk.h. Referenced by _GetGUIThreadInfo(), AssociateInputContextEx(), CancelInputState(), NtUserGetThreadState(), NtUserQueryWindow(), xxxActivateThisWindow(), xxxCheckFocus(), xxxDeactivate(), xxxDestroyWindow(), xxxDoHotKeyStuff(), xxxDWP_ProcessVirtKey(), xxxFreeWindow(), xxxInternalActivateKeyboardLayout(), xxxMinMaximize(), xxxMoveSize(), xxxNextWindow(), xxxProcessEventMessage(), xxxScanSysQueue(), xxxSendFocusMessages(), xxxSetFocus(), xxxSetIMEShowStatus(), xxxSetThreadDesktop(), ZapActiveAndFocus(), zzzAttachToQueue(), and zzzDestroyQueue().

DWORD tagQ::timeDblClk

| Definition at line 3117 of file userk.h. Referenced by xxxScanSysQueue().

WORD tagQ::xbtnDblClk

| Definition at line 3116 of file userk.h. Referenced by xxxScanSysQueue().

The documentation for this struct was generated from the following file:

- userk.h